#ifndef _USERS_H_
#define _USERS_H_

#define MAX_USERNAME_LENGTH 24
#define MAX_DNI_LENGTH 10
#define MAX_LOGIN_LENGTH 16
#define MAX_PASSWORD_LENGTH 16


typedef struct sUser
{
	char name[MAX_USERNAME_LENGTH];
	char surname[MAX_USERNAME_LENGTH];
	char dni[MAX_DNI_LENGTH];
	char login[MAX_LOGIN_LENGTH];
	char password[MAX_PASSWORD_LENGTH];
	struct sUser * nextUser;
} tUser;

tUser * users_firstUser;

// Contains common functionality when initializing a new user struct
void users_initStruct(tUser * user);

#endif